petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESNASMSetComputeFinalJacobian

Schedules the computation of the global and subdomain jacobians upon convergence

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNASMSetComputeFinalJacobian(SNES snes,PetscBool flg)

Collective on SNES

### Input Parameters

| SNES | - the SNES context
| flg | - indication of whether to compute the jacobians or not

### Notes

This is used almost exclusively in the implementation of ASPIN, where the converged subdomain and global jacobian is needed at each linear iteration.

### Keywords

SNES, NASM, ASPIN

### See Also

SNESNASM, SNESNASMGetSubdomains()

### Level

developer

### Location

src/snes/impls/nasm/nasm.c

### Implementations

SNESNASMSetComputeFinalJacobian_NASM in src/snes/impls/nasm/nasm.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages